# Create some quantity units.
insert into QuantityUnit(name, unit) values(
'Grams', 'g'
);
insert into QuantityUnit(name, unit) values(
'Milli Grams', 'mg'
);
insert into QuantityUnit(name, unit) values(
'Kilo Grams', 'kg'
);
insert into QuantityUnit(name, unit) values(
'Table Spoons', 'tbl spoon'
);
insert into QuantityUnit(name, unit) values(
'Tea Spoons', 'tea spoon'
);
insert into QuantityUnit(name, unit) values(
'Cups', 'cup'
);
insert into QuantityUnit(name, unit) values(
'Slices', 'slice'
);
insert into QuantityUnit(name, unit) values(
'Pinches', 'pinch'
);
insert into QuantityUnit(name, unit) values(
'Items', 'item'
);
insert into QuantityUnit(name, unit) values(
'Cans', 'can'
);

# Create some default categories.
insert into Category(name) values(
'All'
);
insert into Category(name) values(
'Breakfast'
);
insert into Category(name) values(
'Lunch'
);
insert into Category(name) values(
'Dinner'
);
insert into Category(name) values(
'Dessert'
);
insert into Category(name) values(
'Entrae'
);

# Create some default ingredients.
insert into Ingredient(name) values(
'Tomato'
);
insert into Ingredient(name) values(
'Potato'
);
insert into Ingredient(name) values(
'Carrot'
);
insert into Ingredient(name) values(
'Cabbage'
);
insert into Ingredient(name) values(
'Bread'
);

# Create some default cook methods.
insert into CookMethod(name) values(
'Bake'
);
insert into CookMethod(name) values(
'Stew'
);
insert into CookMethod(name) values(
'Grill'
);
insert into CookMethod(name) values(
'Fry'
);
insert into CookMethod(name) values(
'None'
);

# Create some default recipes.
insert into Recipe(name, steps, author, category, keyIngredient) values(
'Veggie Sandwich', '?', 'Nick Apperley', 2, 5
);

# Create some rows in RecipeIngredient (a recipe has one or more ingredients)
# which will, be used by some of the default recipes.
insert into RecipeIngredient values(
1, 1, 4, 7
);
insert into RecipeIngredient values(
1, 3, 8, 7
);
insert into RecipeIngredient values(
1, 4, 2, 7
);
insert into RecipeIngredient values(
1, 5, 2, 7
);